# -*- coding:utf-8 -*-
# 作者：齐振鋆
# 日期：2022/9/23
import logging
import allure

from unit.public.UI.BasePage import BasePage

log = logging.getLogger(__name__)


class MenuElement(BasePage):
    def open_menu(self, first_menu_name, last_menu_name):
        log.info('打开菜单：{}'.format(last_menu_name))
        first_menu = "//div[contains(@class,'menuNavTop')]//div[text()='{}']".format(first_menu_name)
        second_menu = "//div[contains(@class, 'third-menu') and @navname='{}']/ancestor::div[@class='sec-menu']".format(
            last_menu_name)
        third_menu = "//div[contains(@class, 'third-menu') and @navname='{}']".format(last_menu_name)
        self.move_to_element(first_menu)
        self.move_to_element(second_menu)
        self.click(third_menu) if self.wait_element(third_menu) else self.click(second_menu)
